GET Account XP
https://pd.{shard}.a.pvp.net/account-xp/v1/players/{puuid} Get the account level, XP, and XP history for the current player. This endpoint only works with the authenticated player's PUUID.
Headers
-
X-Riot-ClientPlatform: {client platform} -
X-Riot-ClientVersion: {client version} -
X-Riot-Entitlements-JWT: {entitlement token} -
Authorization: Bearer {auth token}
URL Parameters
-
{puuid}A player's UUID
Other Variables
-
client platformA string representing the platform of the client. Base-64 encoded JSON with the following fields:
{ "platformType": "PC", "platformOS": "Windows", "platformOSVersion": "10.0.19042.1.256.64bit", "platformChipset": "Unknown" }ew0KCSJwbGF0Zm9ybVR5cGUiOiAiUEMiLA0KCSJwbGF0Zm9ybU9TIjogIldpbmRvd3MiLA0KCSJwbGF0Zm9ybU9TVmVyc2lvbiI6ICIxMC4wLjE5MDQyLjEuMjU2LjY0Yml0IiwNCgkicGxhdGZvcm1DaGlwc2V0IjogIlVua25vd24iDQp9is a value that works. -
client version -
entitlement tokenCan be obtained locally with the Entitlements Token endpoint or remotely using Riot auth and the Entitlement endpoint -
auth tokenCan be obtained locally with the Entitlements Token endpoint or remotely by first using the Auth Cookies endpoint then using the cookies with the Auth Request endpoint
Response
type AccountXPResponse = {
Version: number;
/** Player UUID */
Subject: string;
Progress: {
Level: number;
XP: number;
};
History: {
/** Match ID */
ID: string;
/** Date in ISO 8601 format */
MatchStart: string;
StartProgress: {
Level: number;
XP: number;
};
EndProgress: {
Level: number;
XP: number;
};
XPDelta: number;
XPSources: {
ID: "time-played" | "match-win" | "first-win-of-the-day";
Amount: number;
}[];
XPMultipliers: unknown[];
}[];
/** Date in ISO 8601 format */
LastTimeGrantedFirstWin: string;
/** Date in ISO 8601 format */
NextTimeFirstWinAvailable: string;
}; {
"Version": 2765841043842626,
"Subject": "73Aea893-f052-362E-aC9f-19a1BC4BAFEE",
"Progress": {
"Level": 3830953572010576,
"XP": 7335190017146668
},
"History": [
{
"ID": "eA3AdD20-64FE-29bF-1db0-90EcbDae8cAa",
"MatchStart": "2026-06-06T01:14:31.514Z",
"StartProgress": {
"Level": 1116380335500453,
"XP": 1603246557499958
},
"EndProgress": {
"Level": 5295079336357356,
"XP": 921945972735619
},
"XPDelta": 2888691656976792,
"XPSources": [
{
"ID": "first-win-of-the-day",
"Amount": 2519495106454057
},
{
"ID": "match-win",
"Amount": 5334623960838455
},
{
"ID": "time-played",
"Amount": 1244865065963161
},
{
"ID": "match-win",
"Amount": 6935571716406647
},
{
"ID": "first-win-of-the-day",
"Amount": 2257061334205025
}
],
"XPMultipliers": [
null,
null
]
},
{
"ID": "784a974c-8C79-d7a8-4d1D-bECBaa11EE53",
"MatchStart": "2026-06-05T10:55:03.677Z",
"StartProgress": {
"Level": 5580511645004878,
"XP": 8239857169207159
},
"EndProgress": {
"Level": 7012577646154648,
"XP": 4250743665534525
},
"XPDelta": 632360169509025,
"XPSources": [
{
"ID": "time-played",
"Amount": 2516367895456466
},
{
"ID": "first-win-of-the-day",
"Amount": 5631371299333175
},
{
"ID": "match-win",
"Amount": 5649170563285104
},
{
"ID": "time-played",
"Amount": 1028925591159142
},
{
"ID": "match-win",
"Amount": 661057426179304
}
],
"XPMultipliers": [
null,
null
]
},
{
"ID": "1DdeD6D8-F13f-Edc5-A37d-b41FdA03B7c6",
"MatchStart": "2026-06-05T17:08:39.445Z",
"StartProgress": {
"Level": 8498416716956085,
"XP": 2576838418454628
},
"EndProgress": {
"Level": 3365756423714077,
"XP": 6007539822779702
},
"XPDelta": 5822778783404916,
"XPSources": [
{
"ID": "time-played",
"Amount": 8405809602226000
},
{
"ID": "match-win",
"Amount": 7898757848926739
},
{
"ID": "match-win",
"Amount": 6150623037162044
},
{
"ID": "time-played",
"Amount": 1514964170542113
}
],
"XPMultipliers": [
null,
null,
null
]
},
{
"ID": "a7aA6d6D-c3Cf-3Ae8-cdF1-4bf516fbEa9D",
"MatchStart": "2026-06-05T11:46:54.316Z",
"StartProgress": {
"Level": 6572518543568679,
"XP": 2729710823666350
},
"EndProgress": {
"Level": 8267296288510663,
"XP": 4079531267502852
},
"XPDelta": 8876517715359515,
"XPSources": [
{
"ID": "match-win",
"Amount": 4367655389720786
},
{
"ID": "time-played",
"Amount": 417071016127701
}
],
"XPMultipliers": [
null,
null
]
}
],
"LastTimeGrantedFirstWin": "2026-06-05T17:56:40.536Z",
"NextTimeFirstWinAvailable": "2026-06-06T08:28:00.361Z"
}